Subject: bug#65590: 29.0.50; esh-var-test/interp-concat-cmd fails on macOS

From: Stefan Kangas <[email-masked]>
Date: Tue, 29 Aug 2023 20:59:48 +0200

Jim Porter <[email-masked]> writes:

> This looks like a race condition when executing this command:
>
>    echo ${*echo "foo\nbar"}-baz
>
> That *should* print "foo\nbar-baz", but it tries to print "-baz" (and
> fails). That appears to be because the subcommand (*echo "foo\nbar")
> produces no output.

I can confirm that the error is intermittent, as I'm not seeing it on a re-run.